name: frontend-action
run-name: ${{ gitea.actor }} is building frontend docker image 🚀
on: [push]

jobs:
  build-image:
    runs-on: ubuntu-20.04
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - name: Login to Docker Hub
        uses: docker/login-action@v3
        with:
          username: ${{ secrets.DOCKER_USERNAME }}
          password: ${{ secrets.DOCKER_PASSWORD }}
          registry: gitea.cognizata.com
      - name: Build and push
        uses: docker/build-push-action@v5
        with:
          context: .
          push: true
          platforms: linux/amd64
          tags: gitea.cognizata.com/atapy/sorvor-front:latest
          target: app
          build-args: |
            VUE_APP_API_URL=/api
      - run: echo "🍏 This job's status is ${{ job.status }}."
